﻿using System.ServiceModel;
using System.ServiceModel.Channels;
using System.ServiceModel.Web;
using System.IO;

namespace MVeldhuizen.DevTools.ServiceBehaviors
{
    [ServiceContract]
    public interface ICrossDomainPolicyService
    {
        [OperationContract]
        [WebGet(UriTemplate = "clientaccesspolicy.xml")]
        Stream GetClientAccessPolicyFile();

        [OperationContract]
        [WebGet(UriTemplate = "crossdomain.xml")]
        Stream GetCrossDomainPolicyFile();
    }
}
